Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'build-kernel/bin/setupClasspath.sh')
-rwxr-xr-xbuild-kernel/bin/setupClasspath.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/build-kernel/bin/setupClasspath.sh b/build-kernel/bin/setupClasspath.sh
new file mode 100755
index 00000000..75410b38
--- /dev/null
+++ b/build-kernel/bin/setupClasspath.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# make sure we have JAVA_HOME set
+if [ -z "$JAVA_HOME" ]
+then
+ echo The JAVA_HOME environment variable is not defined
+ exit 1
+fi
+
+CLASSPATH=
+
+# Create the classpath for bootstrapping the Server from all the JARs in lib
+for file in $KERNEL_HOME/lib/*
+do
+ if [[ $file == *.jar ]]
+ then
+ CLASSPATH=$CLASSPATH:$KERNEL_HOME/lib/${file##*/}
+ fi
+done

Back to the top